# Troubleshooting

### 1. 创建频道时出现“无法确认地址”错误

此错误发生在输入的 link\_url 不是基本地址体系（URL）时。请确保您输入了正确的地址，或者不要输入地址。

### 2. 无法上传

由于安全原因，上传时需要使用允许的文件类型。在仪表板 > 设置 > 文件上传允许类型中，选择如 image、video、document、compress 等允许的 MIME 类型。 必须启用对象存储。在与 Object Storage 产品集成后才能使用此功能。

### 3. 收到所有消息

如果您加入了多个频道，则会接收到所有加入频道的消息。 您可以通过 channelId 来区分不同的频道。

```javascript
nc.bind('onMessageReceived',function(channel, message) {       
    // 当加入多个频道时，所有频道的消息都会接收到这里。
    // 需要通过 channel 来区分展示给客户的频道。
    if(channel == current_channel) {
        console.log(message);
    }
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gamechat.me/basics/game-chat-v3/game-chat-zhong-wen/kai-shi-shi-yong-v3/troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
